static inline void __pte_free_tlb(struct mmu_gather *tlb, pgtable_t pte,
				  unsigned long addr)
{
	pgtable_pte_page_dtor(pte);
	#ifdef CONFIG_PTP
	iee_tlb_remove_table(tlb, pte);
	#else
	tlb_remove_table(tlb, pte);
	#endif
}
